For the complete documentation index, see llms.txt. This page is also available as Markdown.

List order additional notes

List additional notes, or comments, on orders.

Required permissions: SALES_ORDER,RETURN_ORDER

get
/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/additional-notes
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
orderUidstringRequired

Reference to an Order.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/additional-notes
GET /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/additional-notes HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "orderAdditionalNoteUid": "text",
      "note": "text",
      "tenantUserUid": "text",
      "tenantUserDisplayName": "text",
      "notifications": [
        {
          "notificationUid": "text",
          "type": "EMAIL",
          "state": "NOT_STARTED",
          "recipient": "text"
        }
      ]
    },
    {
      "createdBy": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?